Bug 214057 - (scummvm-bass) Review Request: beneath-a-steel-sky - Beneath a Steel Sky - Adventure Game
Review Request: beneath-a-steel-sky - Beneath a Steel Sky - Adventure Game
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Stone
Fedora Package Reviews List
:
Depends On: scummvm
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-05 03:25 EST by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-09 14:34:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2006-11-05 03:25:51 EST
Spec URL: http://people.atrpms.net/~hdegoede/beneath-a-steel-sky.spec
SRPM URL: http://people.atrpms.net/~hdegoede/beneath-a-steel-sky-0.0348-1.src.rpm
Description:
After the Dungeons and Dragons fantasy setting of Revolution's first game, Lure
of the Temptress, Revolution decided to go down a completely different avenue  
with its second adventure game, Beneath a Steel Sky, that of Science Fiction.  
A bleak vision of the future was imagined, where mind control and medical
science combined forces to repress the populace. Leading comic artist, Dave
Gibbons, joined the design team to visualise this desperate landscape. The 
result is the cult classic Beneath a Steel Sky.

Notice that this package contains the floppy version, the CD version is also
available in the %{name}-cd package. The CD version contains additional /   
longer cutscenes and voice acting, but also is much larger: the CD version ways
in at 70 MB where as this version is only 8 MB.

---

Note that this package requires scummvm, whose review request is here:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=214055

I'll also be submitting the cd version sometime today. See the scummvm review
for all scummvm games which I'm submitting.
Comment 1 Christopher Stone 2006-11-07 20:25:57 EST
Shouldn't this package Obsolete/Providess "bass" from Livna?
Comment 2 Hans de Goede 2006-11-08 02:31:24 EST
I see no bass in livna, atleast not for the development branch.
Comment 3 Christopher Stone 2006-11-08 12:21:26 EST
It's available for FC5:
http://rpm.livna.org/fedora/5/i386/repodata/repoview/bass-0-0-7.20030801.lvn5.html

And some people such as myself still have it installed.  That is, an upgrade to
FC6 or rawhide does not necessarily remove the bass package.

Therefore, I think this package should Obsolete/Provides bass.  I will do a
formal review later today, so hold off on fixing this until I've finished the
formal review incase I spot something else.
Comment 4 Christopher Stone 2006-11-08 18:18:01 EST
==== REVIEW CHECKLIST ====
- rpmlint output
W: beneath-a-steel-sky no-%build-section

rpmlint says you should add this section even if empty.  See rpmlint -I
no-%build-section.  I tend to agree.  While it might not make a difference now
(no debuginfo package is built but we dont care) there may be something in the
future which checks for this and there is no harm in adding it, so unless you
have a specific technical reason to comment it, id say just uncomment it.
- package named according to package naming guidelines (although a provides bass
might make it easier to install)
- spec filename matches package %{name}
- package meets packaging guidelines
- package is licensed as "Distributable"
FOR FURTHER DISCUSSION ON DISTRIBUTION RIGHTS SEE:
https://www.redhat.com/archives/fedora-extras-list/2006-November/msg00030.html
- License file included in %doc
- spec written in American english
- spec file is legible
- sources match upstream (however source0 location needs fixing)
cb968b4cfdde8491069915bf15d275b3  BASS-Floppy.zip
- package successfully compiles and builds on FC5 X86_64
- all dependencies listed in BR
- no locales
- no shared libraries
- package is not relocatable
- package owns all directories it creates
- no duplicates in %files
- file permissions set properly
- package has proper %clean section
- macro usage is consistent
- package contains permissible content
- no large documentation
- no header files or static libraries
- no pkgconfig files
- no devel subpackage required
- no .la files
- package contains proper .desktop file
- package does not own files or directories owned by other packages

==== MUST ====
- Change location of Source0, this file is *NOT* located on sourceforge

==== SHOULD ====
- Add Obsolete/Provides for "bass"
- Uncomment %build
- Add in a comment above the License tag the URL pointing to the discussion on
the distribution:
https://www.redhat.com/archives/fedora-extras-list/2006-November/msg00010.html
Comment 5 Hans de Goede 2006-11-09 04:24:28 EST
(In reply to comment #4)
> ==== MUST ====
> - Change location of Source0, this file is *NOT* located on sourceforge
> 
> ==== SHOULD ====
> - Add Obsolete/Provides for "bass"
> - Uncomment %build
> - Add in a comment above the License tag the URL pointing to the discussion on
> the distribution:
> https://www.redhat.com/archives/fedora-extras-list/2006-November/msg00010.html
> 
Thanks!

All fixed / done, new version is here:
Spec URL: http://people.atrpms.net/~hdegoede/beneath-a-steel-sky.spec
SRPM URL: http://people.atrpms.net/~hdegoede/beneath-a-steel-sky-0.0348-2.src.rpm
Comment 6 Christopher Stone 2006-11-09 13:13:13 EST
All MUST and SHOULD items fixed.  APPROVED.
Comment 7 Hans de Goede 2006-11-09 14:34:30 EST
Thanks! Imported and Build, closing.

Note You need to log in before you can comment on or make changes to this bug.